Debian Bug report logs - #680763
permanently disable persistent-net generator

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: red-violet@Safe-mail.net

Date: Sun, 8 Jul 2012 14:39:01 UTC

Severity: normal

Fixed in version live-build/3.0~a52-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#680763; Package live-boot. (Sun, 08 Jul 2012 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to red-violet@Safe-mail.net:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Jul 2012 14:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: red-violet@Safe-mail.net
To: submit@bugs.debian.org
Subject: udev device mapping causes network problems
Date: Sun, 8 Jul 2012 07:30:14 -0400
Package: live-boot
Version: 2.0.15-1

hey there,
i just realized a problem with ethernet-lan and udev in debian live (squeeze), using the persistence feature.

as far as i understand it, udev associates "eth0" to one specific MAC address and remembers that. now, if i use my live system on different computers, "eth0" is then usually already reserved and thus renamed to "eth5" or something alike. this causes network trouble.

"eth5" is not in "/etc/network/interfaces" and so neither brought up automatically nor can you manually do it with "ifup eth5". afaik, udev's behavior can be altered in "/etc/udev/rules.d/70-persistent-net.rules". but shouldn't that generally be changed for debian live? it would definitely add to usability.

there could be a simple boot script clearing the file "70-persistent-net.rules". for now, manually deleting it does the job.

btw, someone else additionally noted this:

arguably, not wholly a live problem ...
you would have the same issue if you did a (non-live) install to a usb stick
then move that stick from system to system




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#680763; Package live-boot. (Sun, 08 Jul 2012 17:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Jul 2012 17:09:13 GMT) Full text and rfc822 format available.

Message #10 received at 680763@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: red-violet@Safe-mail.net
Cc: 680763@bugs.debian.org
Subject: Re: Bug#680763: udev device mapping causes network problems
Date: Sun, 08 Jul 2012 19:07:21 +0200
reassign 680763 live-build
retitle 680763 permanently disable persistent-net generator
tag 680763 pending
thanks

as you correctly saw, udev tries to be clever and keep persistent device
names for amongst others, network devices such as eth*.

this is accomplished through /etc/udev/rules.d/70-persistent-net.rules.

since persistent network devices are not usefull for live system whos
purpose is to be used on many different hardware, we do remove this udev
rule in live-build.

udev then however re-adds this rule if it's missing. in the case of
using debian-live with persistency, this means, that a debian-live
system will then have a persistent network device name, which is unwanted.

given that the primary usage of a live system is to be used on many
different hardware, regardless if persistency is used or not, we should
make sure to optimize for the majority/most-used case and disable the
udev rule entirely so that udev does not re-add it.

those users that do want persistent network devices when using
persistency are clearly a edge-case and can 'workaround' it by enabling
it directly in their builds (by omitting the persistent-net hack).

for everyone else not using persistency, the change in the behaviour
doesn't matter anyway, they will get no persistent network devices in
the first place anyway.

disabling the rule for good can be done in live-build at build-time by
truncating the 70-persistent-net.rules instead of removing it.

i have commited this to both the live-build 2.x branch (relevant for the
squeeze point releases) and the 3.x branch (relevant for the wheezy
releases).

thanks for bringing this to our attention.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug reassigned from package 'live-boot' to 'live-build'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 08 Jul 2012 17:09:19 GMT) Full text and rfc822 format available.

No longer marked as found in versions live-boot/2.0.15-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 08 Jul 2012 17:09:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'permanently disable persistent-net generator' from 'udev device mapping causes network problems' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 08 Jul 2012 17:09:21 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 08 Jul 2012 17:09:21 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 18 Jul 2012 21:33:08 GMT) Full text and rfc822 format available.

Notification sent to red-violet@Safe-mail.net:
Bug acknowledged by developer. (Wed, 18 Jul 2012 21:33:08 GMT) Full text and rfc822 format available.

Message #23 received at 680763-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 680763-close@bugs.debian.org
Subject: Bug#680763: fixed in live-build 3.0~a52-1
Date: Wed, 18 Jul 2012 21:32:20 +0000
Source: live-build
Source-Version: 3.0~a52-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680763@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Jul 2012 22:46:55 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a52-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
Closes: 672379 680763
Changes: 
 live-build (3.0~a52-1) unstable; urgency=low
 .
   * Improving error message in lb wrapper to show the command in case of
     a missing command.
   * Adding svg splash for syslinux bootloaders.
   * Adding dynamic informations into the splash and creating the png
     export at build time.
   * Truncating udev persistent net rules in remove-udev-persistent-
     rules.chroot hook rather than to remove them (Closes: #680763).
   * Removing discontinued live-build-cron autobuilder (Closes: #672379).
   * Updating dhcp packages in rescue package list to avoid transitional
     packages for squeeze and up.
   * Marking libguytools1 as squeeze only in rescue package list.
   * Marking ddrescue as squeeze-only in rescue list.
   * Using clamav-data for squeeze and clamav-freshclam for wheezy/sid in
     rescue list.
   * Applying patch from Steven Shiau <steven@nchc.org.tw> to
     conditionally copy /etc/apt/secring.gpg* files.
   * Renaming net flavour to netboot for consistency.
   * Adding support for zsync control files generation, thanks to Hector
     Oron <hector.oron@gmail.com> for the idea and prototype.
   * Adding xz as valid compression format.
   * Using xz to compress images on anything except squeeze, keeping gzip
     as default for squeeze.
   * Removing spurious lb_source_netboot, there's not such thing as a
     netboot specific source tarball anyway.
   * Handle multiple version numbers when having more than one linux
     flavours for splash.svg post-processing.
   * Adding support for pinning preferences files in
     config/archives/*.pref{.chroot,.binary}.
   * Updating splash.svg handling for unchrooted and chrooted builds.
   * Decrufting version flag.
   * Correcting live-build and live-boot versions for splash.svg post-
     processing.
   * Also removing zsync files in lb clean.
   * Slightly updating strings in splash.svg for better organization of
     the information presented.
   * Adding extlinux bootloader configuration files.
   * Correcting freudian typo in package check for chroot filesystems
     dependencies in binary_rootfs.
   * Adding support for ntfs as binary filesystem when using syslinux.
   * Updating squeeze point-release number.
   * Setting initial release number for wheezy.
   * Correcting spelling typo of ubuntus 12.10 codename.
   * Correcting some distribution specific checks to make them
     derivatives compliant.
   * Enabling security archives on wheezy.
Checksums-Sha1: 
 b3ab98442125bf56c417b60066fde0eb4f7e5edc 1329 live-build_3.0~a52-1.dsc
 39ced4671dfc1201dc4974100455ee6a67631344 944484 live-build_3.0~a52.orig.tar.xz
 3721bbbd7f472ca7b74fbf5856505d19dc85e4ae 45344 live-build_3.0~a52-1.debian.tar.xz
 6a0b06151a9b4b1baa33ff5047b65bd2463b08e1 1018604 live-build_3.0~a52-1_all.deb
 13d7bf4e8ba6cbe727d50dee62cdc408e06f07ed 68638 live-build-cgi_3.0~a52-1_all.deb
Checksums-Sha256: 
 4d87f3a4d3f96fa71ea03684278e669766817afe97173330816bef4325322a1a 1329 live-build_3.0~a52-1.dsc
 f6392c3e34091738c2fe0870f433b01f18bc2d515ab71d72db02430be479b9ce 944484 live-build_3.0~a52.orig.tar.xz
 80744c2c4b586b896b294c8653041f3b2fa7ae039eba3a20bc4487a4b32ac752 45344 live-build_3.0~a52-1.debian.tar.xz
 16f8116efd51aa9d0f0693ef02fa568097de486447db51cbc9fc86ab8245d9d7 1018604 live-build_3.0~a52-1_all.deb
 bfb0f7d62fc170148f5dcb2568f89f07a9ccec2c7f702b60dc4a9c2ec41651f4 68638 live-build-cgi_3.0~a52-1_all.deb
Files: 
 dc23226d6382028d808863856176ddef 1329 misc optional live-build_3.0~a52-1.dsc
 1af3de37dc87aa5486fc33da1748b1f0 944484 misc optional live-build_3.0~a52.orig.tar.xz
 fd5466595a01d5653e2cf80844f2cb7e 45344 misc optional live-build_3.0~a52-1.debian.tar.xz
 2f7186231da836f6c4a7d5f636588650 1018604 misc optional live-build_3.0~a52-1_all.deb
 c15193562fa66b5ec9e9aea21afe8648 68638 misc optional live-build-cgi_3.0~a52-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlAHKnkACgkQ+C5cwEsrK57HqQCcCy60tIcc00K49uJsi026S1aC
hecAoMOwftHSTU0HBeIeooOqgKyM7YkV
=lB8s
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:27:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:40:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.